Package twisted :: Package words :: Module ircservice :: Class IRCGateway

[frames | no frames]

## Class IRCGateway

    Factory --+
              |
             IRCGateway

Method Summary
| `__init__(self, service)`
| ``buildProtocol`(self, connection)` Build an IRC protocol to talk to my chat service.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Method Details

### buildProtocol(self, connection)

Build an IRC protocol to talk to my chat service.

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol`

Generated by Epydoc 2.0 on Sat May 15 20:08:33 2004 | http://epydoc.sf.net